Get Routing Schemes
GET /obp/v7.0.0/routing-schemes
OBPv7.0.0-getRoutingSchemes No role required Routing-Scheme
Lists registered routing schemes.
Query parameters (all optional):
country— ISO 3166-1 alpha-2, e.g.TZcategory— ACCOUNT, BANK, BRANCH, IDENTITY, BILL, UTILITYstatus— defaults toACTIVE. PassALLto include DEPRECATED and RETIRED.rail— match against thedownstream_railslist (e.g.TIPS,RTGS)limit(default 100, max 500),offset(default 0)
User Authentication is Optional. The User need not be logged in.
JSON response body fields (11)
Example success response
{
"routing_schemes": [
{
"scheme": "TZ.MSISDN",
"country": "TZ",
"category": "ACCOUNT",
"status": "ACTIVE",
"address_pattern": "^255[0-9]{9}$",
"example_address": "255778300336"
}
],
"pagination": {
"total": 1,
"limit": 100,
"offset": 0
}
}Possible errors (1)
- OBP-50000: Unknown Error.